import { Doc } from '../view/Doc';
export declare class InputComposition {
    doc: Doc;
    private modelId?;
    private modelType?;
    private wrid?;
    private cloneNode?;
    constructor(doc: Doc, text: string);
    create(text: string): void;
    update(text: string): {
        nodeId: string;
        offset: number;
        side: "after";
    } | null;
    beforeDestroy(text: string): {
        nodeId: string;
        offset: number;
        side: "before" | "after";
    } | null;
    destroy(): void;
}
